import { I18nBundle } from 'pretur.i18n';
import { Reducible, Action } from 'pretur.redux';
import { PageInstantiationData, PageDescriptor } from './pages';
export declare class PageInstance<TProps, TState, TReducerBuilderData> implements Reducible {
    private params;
    private currentState;
    constructor(descriptor: PageDescriptor<TProps, TState, TReducerBuilderData> | undefined, instantiationData: PageInstantiationData<TReducerBuilderData> | undefined);
    readonly mutex: string;
    readonly path: string;
    readonly title: I18nBundle;
    readonly state: TState;
    readonly descriptor: PageDescriptor<TProps, TState, TReducerBuilderData>;
    readonly instantiationData: PageInstantiationData<TReducerBuilderData>;
    reduce(action: Action<any, any>): this;
}
