/// <reference types="react" />
import * as React from 'react';
import { I18nBundle } from 'pretur.i18n';
import { Navigator } from './navigator';
export interface NavigatePassedProps<TState> {
    mutex: string;
    path: string;
    state: TState;
    title: I18nBundle;
    navigator: Navigator;
}
export interface NagivateProps {
    navigator: Navigator;
}
export declare function Navigate({navigator}: NagivateProps): React.ReactElement<NavigatePassedProps<any>>;
